# Class RectImpl

java.lang.Object
org.eclipse.e4.ui.css.core.impl.dom.RectImpl

All Implemented Interfaces:
  `Rect`

public class RectImpl extends Object implements Rect

## Constructor Summary

Constructors
Constructor
Description
`RectImpl()`

## Method Summary

Modifier and Type
Method
Description
`CSSPrimitiveValue`
`getBottom()`
`CSSPrimitiveValue`
`getLeft()`
`CSSPrimitiveValue`
`getRight()`
`CSSPrimitiveValue`
`getTop()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RectImpl

public RectImpl()

## Method Details

### getBottom

public CSSPrimitiveValue getBottom()

Specified by:
  `getBottom` in interface `Rect`

### getLeft

public CSSPrimitiveValue getLeft()

Specified by:
  `getLeft` in interface `Rect`

### getRight

public CSSPrimitiveValue getRight()

Specified by:
  `getRight` in interface `Rect`

### getTop

public CSSPrimitiveValue getTop()

Specified by:
  `getTop` in interface `Rect`